Page MenuHomePhabricator

Organize RESTBase / Services activities at the Wikimedia Hackathon 2015
Closed, ResolvedPublic

Description

(Please keep this description up to date)

RESTBase is one of the main areas of the Wikimedia-Hackathon-2015. Contributors welcome!

RESTBase, Parsoid HTML5 and structured metadata

  • Introduction to RESTBase
    • Distributed storage with Cassandra
    • Swagger API specs
  • The REST API
  • The Parsoid HTML5+RDFa content model
  • Examples of metadata extraction and content transformations
  • How RESTBase and Parsoid HTML is used in practice

Building Microservices in Node.JS

Tutorial / workshop

Hacking projects

  • Build cool services: We are there to help you.
  • Prototype micro-edit UIs / gadgets with the HTML section edit API prototype (T94890)
  • HTML and ZIM dump improvements

Meetings

FIXME: any RESTBase meetings planned?

Related Objects

Event Timeline

Qgil created this task.Mar 19 2015, 1:26 PM
Qgil updated the task description. (Show Details)
Qgil raised the priority of this task from to Needs Triage.
Qgil added a subscriber: Qgil.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 19 2015, 1:26 PM
mobrovac moved this task from Backlog to Ready / next on the RESTBase board.Mar 19 2015, 1:48 PM
mobrovac set Security to None.
mobrovac moved this task from Backlog to Next on the Services board.
GWicke renamed this task from Organize RESTBase activities at the Wikimedia Hackathon 2015 to Organize RESTBase / Services activities at the Wikimedia Hackathon 2015.Mar 19 2015, 6:37 PM
GWicke triaged this task as High priority.
GWicke edited subscribers, added: Eevans, GWicke; removed: Aklapper.
Qgil added a comment.Mar 26 2015, 3:10 PM

"REST services" is now featured at https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2015 with a generic 'database' icon, just to keep the format with other main areas. Both that page and this task description are editable, so from now on the rest is up to you. :)

Qgil added a comment.Apr 16 2015, 9:33 AM

Any progress? Who owns this task?

GWicke updated the task description. (Show Details)Apr 17 2015, 10:09 PM
GWicke updated the task description. (Show Details)
GWicke claimed this task.
GWicke updated the task description. (Show Details)
GWicke added a comment.EditedApr 17 2015, 10:12 PM

@Qgil, added an outline. @Eevans, @mobrovac and me will more detail as we get closer.

mobrovac updated the task description. (Show Details)Apr 18 2015, 10:00 AM
Qgil added a comment.Apr 20 2015, 10:45 AM

In relation to T76325: Engage with established technical communities at the Wikimedia Hackathon 2015, are there any specific developers of any related communities that you would like to invite to Lyon? We can talk about travel sponsorship if it's reasonable.

bearND added a subscriber: bearND.May 5 2015, 6:45 PM
phuedx added a subscriber: phuedx.May 5 2015, 6:46 PM
Qgil added a comment.May 7 2015, 2:22 PM

If there are any sessions that you would prefer to schedule in advance (i.e. a training session for newcomers), please let me know. The time to book slots is now.

Note that most activities will not be scheduled in advanced, following the unconference model. However, we want to offer some structure for newcomers and for specific sessions with exceptional requirements.

Qgil added a comment.May 18 2015, 11:12 AM

It is time to promote Wikimedia-Hackathon-2015 activities in the program (training sessions and meetings) and main wiki page (hacking projects and other ongoing activities). Follow the instructions, please. If you have questions, about this message, ask here.

GWicke updated the task description. (Show Details)May 21 2015, 12:05 AM
GWicke closed this task as Resolved.May 24 2015, 11:26 AM